# Comfort Calculation Tweaks for Valheim

## Features

Configs for
- Comfort radius
- Comfort requires roof?
- Show comfort items providing comfort
- Show missing buildable comfort items
- Rested delay
- Rested base time
- Rested time per comfort point
- Comfort for each comfort piece

Configs for Rested buff:
- Experience Multiplier 
- **HP Regeneration Multiplier**
- **Stamina Regeneration Multiplier**
- Stamina Decrease for running
- Stamina Decrease for jumping
- **Damage Multiplier**
- **Carry Weight**
- Stay Rested on Logout

**bold** configs scaleable with bosses killed

Configs for Resting:
- Hp Regeneration Multiplier
- Stamina Regeneration Multiplier

Enable Recipes for
- Maypole
- Yule Tree

## Pre-Requisites

This mod requires BepInEx. Follow the instructions here if you don't have it installed already: https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Installation (manual)

If you are installing this manually, do the following _(You will need Bepinex installed)_

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `plugins` folder into `<GameDirectory>\Bepinex\plugins`.
3. Run the game, it will generate automatically an configuration file into `<GameDirectory>\Bepinex\config`

## Config

```
## Settings file was created by plugin Comfort Tweaks v2.7.6
## Plugin GUID: xyz.alcan.comfortcalc

[1. Mod Options]

## If the mod is enabled
# Setting type: Boolean
# Default value: true
Mod Enabled = true

## The configuration is locked and may not be changed by clients. Only active for servers.
# Setting type: Boolean
# Default value: false
Config Locked = false

[2. Resting]

## Range of comfort detection
# Setting type: Int32
# Default value: 10
# Acceptable value range: From 10 to 100
Comfort Range = 10

## Dont require shelter for comfort bonus pieces (You still need to sit)
# Setting type: Boolean
# Default value: false
Ignore Shelter = false

## Seconds resting before rested
# Setting type: Int32
# Default value: 20
# Acceptable value range: From 0 to 100
Rested Delay = 20

## Stamina Regen Multiplier while Resting
# Setting type: Int32
# Default value: 400
# Acceptable value range: From 0 to 1000
Stamina Regen Multiplier Percent = 400

## Health Regen Multiplier while Resting
# Setting type: Int32
# Default value: 300
# Acceptable value range: From 0 to 1000
Health Regen Multiplier Percent = 300

[3. Rested Buff]

## Base Rested Time in Seconds
# Setting type: Int32
# Default value: 480
# Acceptable value range: From 0 to 3000
Base Rested Time = 480

## Seconds Rested per Comfort Level in Seconds
# Setting type: Int32
# Default value: 60
# Acceptable value range: From 0 to 3000
Rested per Comfort = 60

## Experience Multiplier
# Setting type: Int32
# Default value: 50
# Acceptable value range: From 0 to 500
Rested Xp Multiplier Percent = 50

## Stamina Regen Multiplier
# Setting type: Int32
# Default value: 200
# Acceptable value range: From 0 to 1000
Stamina Regen Multiplier Percent = 200

## Decreased Stamina Use for Running
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 100
Run Stamina Drain Modifier Percent = 0

## Decreased Stamina Use for Jumping
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 100
Jump Stamina Drain Modifier Percent = 0

## HP Regen Multiplier
# Setting type: Int32
# Default value: 150
# Acceptable value range: From 0 to 3000
Health Regen Multiplier Percent = 150

## Damage Done during Rested
# Setting type: Int32
# Default value: 100
# Acceptable value range: From 0 to 1000
Damage Modifier Percent = 100

## Carry Weight added
# Setting type: Int32
# Default value: 0
# Acceptable value range: From 0 to 1000
Added Max Carry Weight = 0

## Save Rested buff on Logout
# Setting type: Boolean
# Default value: false
Stay Rested between Sessions = false

[4. Comfort Pieces List]

## Show the comfort pieces that are currently providing comfort
# Setting type: Boolean
# Default value: false
Show Comfort Pieces List = false

## X value in % of the Screen from Top Left
# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 100
X Value = 2

## Y value in % of the Screen from Top Left
# Setting type: Int32
# Default value: 35
# Acceptable value range: From 0 to 100
Y Value = 35

## Font color of the Comfort Pieces List
# Setting type: Color
# Default value: FFFFFFFF
Font Color = FFFFFFFF

## Font size
# Setting type: Int32
# Default value: 24
Font Size = 24

## Show/Hide the list of comfort pieces
# Setting type: KeyboardShortcut
# Default value: F6
Toggle Visibility = F6

[5. Missing Comfort Pieces]

## Lists comfort pieces you dont have the comfort from
# Setting type: Boolean
# Default value: false
Show Missing Comfort Pieces = false

## Lists only unlocked comfort pieces you're able to build but dont have the comfort from
# Setting type: Boolean
# Default value: true
Show Only Known Missing Comfort Pieces = true

## Font color of the Missing Pieces List
# Setting type: Color
# Default value: FF0000FF
Missing Pieces Font Color = FF0000FF

[6. Boss Multipliers]

## Adds RestedPerComfort/6 seconds per comfort point per unique boss killed
# Setting type: Boolean
# Default value: false
Rested time per Comfort Point = false

## Multiply the Rested Experience Modifier with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Xp Multiplier = false

## Multiply the Rested Stamina Regeneration with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Stamina Regen = false

## Multiply the Rested HP Regeneration with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Hp Regen = false

## Multiply the Rested bonus Carry Weight with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Carry Weight = false

## Multiply the Rested Damage Modifier with the amount of unique bosses killed
# Setting type: Boolean
# Default value: false
Damage Modifier = false

[7. Comfort Piece Settings]

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Bed = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Bonfire = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Campfire = 1

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Hearth = 2

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Black banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Blue banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
White and red striped banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Red banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Green banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Blue, red and white banner = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
White and blue striped banner = 1

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Hot tub = 2

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Dragon bed = 2

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Bench = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Hanging brazier = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Stool = 1

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Chair = 2

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Darkwood chair = 2

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Sitting log = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Maypole = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Table = 1

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Long heavy table = 2

# Setting type: Int32
# Default value: 2
# Acceptable value range: From 0 to 10
Round table = 2

# Setting type: Int32
# Default value: 3
# Acceptable value range: From 0 to 10
Raven throne = 3

# Setting type: Int32
# Default value: 3
# Acceptable value range: From 0 to 10
Stone throne = 3

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Yule tree = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Deer rug = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Lox rug = 1

# Setting type: Int32
# Default value: 1
# Acceptable value range: From 0 to 10
Wolf rug = 1

[7. Enable Pieces]

## Make Maypole buildable
# Setting type: Boolean
# Default value: false
enable Maypole = false

## Make Yule Tree buildable
# Setting type: Boolean
# Default value: false
enable Yule Tree = false

[9. Advanced Options]

## Saves the Value of Hotkey Toggle
# Setting type: Boolean
# Default value: true
Value of Hotkey toggle (showing/not showing) = true

```
